/*
	ExternalInterface test code for GNU Flash Player
	Written (2015) by Nutchanon Wetchasit <Nutchanon.Wetchasit@gmail.com>
	
	Released under Creative Commons Public Domain Dedication 1.0
	(https://creativecommons.org/publicdomain/zero/1.0/)
*/
import flash.external.*;

class Flash2JS {
	public static function main(mc:MovieClip):Void {
		var retval;
		
		if(!ExternalInterface.available) {
			trace("flash2js: ExternalInterface is not available, aborted");
			return;
		}
				
		trace("flash2js: calling JavaScript function \"flash_call\"...");
		try {
			retval = ExternalInterface.call("flash_call", "Hello", "World");
			if(retval === "Too") {
				trace("flash2js: OK: JavaScript function correctly returned \"" + retval + "\"");
			} else {
				trace("flash2js: failed: expected return value \"Too\", got \"" + retval + "\"");
			}
		} catch(e:Error) {
			trace("flash2js: error occured: " + e);
		}
	}
}
